Subject: Re: bug#46992: xref-after-update-hook

From: Dmitry Gutov <[email-masked]>
Date: Mon, 8 Mar 2021 02:09:26 +0200

On 07.03.2021 22:43, Juri Linkov wrote:
> This is the first thing that I tried, but the problem is that
> it's called before the xref buffer is filled with results
> where I need to put overlays on output lines.
> 
> Also the hook needs to be called after reverting xref buffer.

I figured if all you are doing is some setup and turning on a minor 
mode, it should be enough to only do once. A minor mode would generally 
track all subsequent modifications to the buffer with 
after-change-functions or the like (we don't bind 
(inhibit-modification-hooks t) while rendering the output, although it 
looks like we might, for a small extra speed boost).

But if that doesn't work for some reason, or doesn't cover all your 
goals, please feel free to install the patch.